name: pytest

on: [push]

jobs:
  build:

    runs-on: ubuntu-latest
    strategy:
      max-parallel: 3
      matrix:
        python-version: [${python_requires}]

    steps:
    - uses: actions/checkout@v1
    - name: Setup Conda 
      uses: conda-incubator/setup-miniconda@v2
      with:
          python-version: $${{ matrix.python-version }}
          auto-update-conda: true
    - name: Install dependencies and package
      shell: bash --login {0}
      run: |
        conda info
        python -m pip install --upgrade pip
        pip install .
    - name: Test with pytest
      shell: bash --login {0}
      run: |
        pip install pytest
        pytest